test-framework-quickcheck2-0.3.0.6: QuickCheck-2 support for the test-framework package.

Safe Haskell | Safe-Inferred
Language | Haskell2010

Test.Framework.Providers.QuickCheck2

Description

Allows QuickCheck2 properties to be used with the test-framework package.

For an example of how to use `test-framework`, please see https://github.com/haskell/test-framework/raw/master/example/Test/Framework/Example.lhs.

Synopsis

- testProperty :: Testable a => TestName -> a -> Test

# Documentation

testProperty :: Testable a => TestName -> a -> Test Source #

Create a `Test` for a QuickCheck2 `Testable` property